using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.U2D;

public class BeHitTrigger : MonoBehaviour
{
    public Character owner;

    private void Awake()
    {
        owner = GetComponentInParent<Character>();
    }

    private void OnTriggerEnter(Collider other)
    {
        
    }

    public void BeHit(int damage, Vector3 force, bool changeHurt, float repelValue)
    {
        owner.BeHit(damage, force, changeHurt, repelValue);
    }
}
